@echo off
REM 
echo.

IF "%1"=="UNINSTALL" GOTO CONTINUE
IF "%1" NEQ "" GOTO USAGE

REM **** playback.dll/ielistener.dll prereqs ****
:PREREQUISITES

:CONTINUE
echo Applying patch IY52393
@call stopSTI.cmd

REM Note that the following call will pass the UNINSTALL parameter as argument.
@call applyPatch.cmd lpwin32.exe IY52393 %1 stm.jar ..\..\lib
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR

@call startSTI.cmd
IF %ERRORLEVEL% GTR 0 GOTO SYSTEMERROR
IF %LOCALERRORLEVEL% GTR 0 GOTO SCRIPTERROR
GOTO FIN

:USAGE
echo.
echo Usage: IY52393 [UNINSTALL]
GOTO FIN

:SCRIPTERROR
echo Failed to apply the patch due to an script detected error. LOCALERRORLEVEL=%LOCALERRORLEVEL%
GOTO FIN

:SYSTEMERROR
echo Failed to apply the patch due to a system error. ERRORLEVEL=%ERRORLEVEL%
GOTO FIN

:FIN
